NX.define("Nexus.clm.SettingsView",{extend:"Ext.Panel",requires:["Nexus.staging.repository.activity.EventDetail","Nexus.staging.repository.SummaryView","Nexus.staging.repository.RepositoriesMediator"],requirejs:["Nexus/siesta","Nexus/clm"],mixins:["Nexus.LogAwareMixin"],constructor:function(config){var self=this;self.url=new Ext.form.TextField({name:"url",fieldLabel:"CLM Server URL",helpText:"The address of your CLM Server",anchor:Sonatype.view.FIELD_OFFSET,allowBlank:false,itemCls:"required-field",validator:function(v){if(v===""||v.match(/^(?:http|https):\/\//i)){return true}else{return"Protocol must be http:// or https://"}}});self.settingsForm=new Ext.FormPanel({border:false,labelWidth:100,layoutConfig:{labelSeparator:""},items:[self.url,{xtype:"textfield",name:"username",fieldLabel:"Username",helpText:"User with access to the CLM Server.",anchor:Sonatype.view.FIELD_OFFSET,allowBlank:false,itemCls:"required-field"},{xtype:"textfield",name:"password",inputType:"password",fieldLabel:"Password",helpText:"Credentials for the CLM User.",anchor:Sonatype.view.FIELD_OFFSET,allowBlank:false,itemCls:"required-field"},{xtype:"numberfield",name:"timeout",fieldLabel:"Request Timeout",helpText:"Number of seconds Nexus will wait for a successful CLM server connection before retrying. Defaults to 15 minutes.",anchor:Sonatype.view.FIELD_OFFSET,allowBlank:true},{xtype:"textarea",fieldLabel:"Properties",name:"properties",anchor:Sonatype.view.FIELD_OFFSET,helpText:"Additional properties to configure for the CLM Server",flex:1}],buttons:[{text:"Save",tooltip:"Save settings",formBind:true,scope:self,handler:self.saveSettings},{text:"Reset",tooltip:"Reset changes",formBind:true,scope:this,handler:self.loadSettings}]});self.disabledWarning=NX.create("Ext.Panel",{border:false,html:'<div class="nx-clm-disabled-warning"><div>CLM functionality is currently disabled, CLM staging rule execution will be skipped.<br/>To enable it, use Capabilities UI.</div></div>',hidden:true});Ext.apply(self,{cls:"nx-clm-SettingsView",border:false,layout:"vbox",layoutConfig:{align:"stretch"},items:[{xtype:"fieldset",title:"Settings",anchor:Sonatype.view.FIELDSET_OFFSET,autoHeight:true,items:[{border:false,html:'<div class="nx-clm-doco"><a href="http://links.sonatype.com/products/clm/nexus/home"  target="_blank">Make Nexus Staging even more powerful with Sonatype CLM </a></div>'},self.disabledWarning,self.settingsForm]}]});self.constructor.superclass.constructor.apply(self,arguments);self.on("afterlayout",self.loadSettings,self,{single:true})},saveSettings:function(){var self=this,form,url;self.logDebug("CLM Saving settings");form=self.settingsForm.getForm();if(!form.isValid()){return}url=form.findField("url").getValue();Ext.Ajax.request({url:Nexus.clm.resourcePath,method:"POST",scope:self,suppressStatus:400,jsonData:form.getFieldValues(),success:function(){var nexusPanel=Sonatype.repoServer.RepoServer.nexusPanel;Nexus.clm.showMessage("Configuration saved");form.items.each(function(item){item.clearInvalid()});nexusPanel.get("st-enterprise-staging").remove(nexusPanel.clmMenu);Nexus.clm.serverUrl=url;nexusPanel.clmMenu=nexusPanel.add({enabled:true,sectionId:"st-enterprise-staging",title:Nexus.clm.TITLE_DASHBOARD,href:Nexus.clm.serverUrl});nexusPanel.doLayout()},failure:function(response,opts){if(response.siestaValidationError!==undefined){Ext.each(response.siestaValidationError,function(error){form.findField(error.id).markInvalid(error.message)})}}})},loadSettings:function(){var self=this;self.logDebug("CLM Loading settings");Ext.Ajax.request({url:Nexus.clm.resourcePath,method:"GET",scope:self,suppressStatus:404,success:function(response){var config=Ext.decode(response.responseText);self.settingsForm.getForm().setValues(config);if(config.enabled){self.disabledWarning.hide()}else{self.disabledWarning.show()}self.logDebug("CLM Settings loaded")}})}},function(){var type=this;var key=Nexus.clm.STAGING_KEY;var label=Nexus.clm.STAGING_LABEL;Sonatype.Events.addListener("nexusNavigationInit",function(nexusPanel){var p=Sonatype.lib.Permissions;if(p.checkPermission("nexus:settings",p.READ)){nexusPanel.add({enabled:true,sectionId:"st-nexus-config",title:Nexus.clm.TITLE,tabId:Nexus.clm.TAB_ID,tabTitle:Nexus.clm.TAB_TITLE,tabCode:type});Ext.Ajax.request({url:Nexus.clm.resourcePath,method:"GET",scope:self,suppressStatus:404,success:function(response){var clmSettings=Ext.decode(response.responseText);if(!Ext.isEmpty(clmSettings.url)){Nexus.clm.serverUrl=clmSettings.url;nexusPanel.clmMenu=nexusPanel.add({enabled:true,sectionId:"st-enterprise-staging",title:Nexus.clm.TITLE_DASHBOARD,href:Nexus.clm.serverUrl});nexusPanel.doLayout()}}})}});Nexus.staging.repository.RepositoriesMediator.addListener("staging.profile.loaded",function(items,properties,dataRoot){var clmAppPolicyURL;NX.log.debug("Enhancing UI with CLM details.");clmAppPolicyURL=new Ext.form.DisplayField({anchor:Sonatype.view.FIELD_OFFSET,allowBlank:true,hidden:!Ext.isDefined(Nexus.clm.serverUrl),appId:properties[key],showClmAppUrl:function(){var appId=clmAppPolicyURL.appId,url=Nexus.clm.serverUrl,text="CLM Dashboard";if(!Ext.isEmpty(appId)){while(url.endsWith("/")){url=url.substring(0,url.length-1)}url+="/assets/index.html#/management/application/"+appId+"/policies";text="CLM Application Management"}clmAppPolicyURL.setValue('<a href="'+url+'" target="_blank">'+text+"</a>")}});clmAppPolicyURL.showClmAppUrl();items.push([new Ext.form.ComboBox({fieldLabel:label,name:dataRoot+"."+key,value:properties[key],width:376,helpText:'Select a CLM Application to enable, or (none) to disable policy enforcement for this profile.<br/><a href="http://links.sonatype.com/products/clm/nexus/home"  target="_blank">Make Nexus Staging even more powerful with Sonatype CLM </a>',persistent:true,store:new Ext.data.JsonStore({id:"id",fields:[{name:"id"},{name:"name",sortType:Ext.data.SortTypes.asUCString}],sortInfo:{field:"name",direction:"ASC"},url:Nexus.clm.resourcePath+"/applications",autoLoad:true,listeners:{load:function(store){store.insert(0,NX.create("Ext.data.Record",{id:"",name:"(none)"}))}}}),displayField:"name",valueField:"id",editable:false,forceSelection:true,mode:"local",triggerAction:"all",emptyText:"Select...",selectOnFocus:true,allowBlank:true,listeners:{select:function(combo,record){clmAppPolicyURL.appId=record.get("id");clmAppPolicyURL.showClmAppUrl()}}}),clmAppPolicyURL])});Nexus.staging.repository.RepositoriesMediator.addListener("staging.profile.submitted",function(referenceData){NX.log.debug("Enhancing StagingProfile submit data with CLM details.");referenceData[key]=null});function renderClmValues(value,showDetailedReport){var values=value.split(",");NX.assert(values.length==6,"Should have 6 comma separated values stored for CLM violations.");return Nexus.clm.chickletTemplate.apply({criticalCount:values[2],severeCount:values[3],moderateCount:values[4],detailedReport:showDetailedReport?values[5]:null})}Nexus.staging.repository.RepositoriesMediator.addListener("staging.repositoriesGrid.configureColumns",function(columns){NX.log.debug("Enhancing Repository grid view with CLM details.");columns.push({id:"violations",width:250,header:"Violations",renderer:function(value,metaData,record){var properties=record.data.properties;if(properties!==undefined){var clmProperty;Ext.each(properties,function(property){if(property.name=="Violations"){clmProperty=property.value;return false}});if(clmProperty!==undefined){return renderClmValues(clmProperty,false)}}return"No CLM data recorded"}})});Nexus.staging.repository.RepositoriesMediator.addListener("staging.repositorySummary.configureProperties",function(properties,values){Ext.each(values.properties,function(property){if(property.name&&property.value&&property.name==="Violations"){NX.log.debug("Enhancing Repository summary view with CLM details.");for(var i=0;i<properties.length;i++){if(properties[i].name==="Activity"){break}}properties.splice(i+1,0,{name:"Violations",value:renderClmValues(property.value,true)});return false}})});Nexus.staging.repository.activity.EventDetail.registerBodyTemplateFactory("ruleFailed",Nexus.clm.stagingRule);Nexus.staging.repository.activity.EventDetail.registerBodyTemplateFactory("rulePassed",Nexus.clm.stagingRule)});
NX.define("Nexus.clm.ComponentDetailView",{extend:"Ext.Panel",requirejs:["Nexus/clm","Nexus/healthcheck/HealthCheckUtil"],initComponent:function(){var self=this;Ext.apply(self,{cls:"nx-clm-ComponentDetailView",border:false,layout:"fit",items:[{xtype:"iframepanel",loadMask:{msg:"Loading Component Detail..."},fitToParent:true,defaultSrc:Nexus.clm.componentDetailContentResourcePath+"/viewdetails.html?appId="+encodeURIComponent(self.appId)+"&groupId="+encodeURIComponent(self.groupId)+"&artifactId="+encodeURIComponent(self.artifactId)+"&version="+encodeURIComponent(self.version)+"&hash="+(self.hash?encodeURIComponent(self.hash):"")}]});self.constructor.superclass.initComponent.apply(self,arguments)}});
define("Nexus/healthcheck/HealthCheckProRepositoryContrib",["Nexus/healthcheck/HealthCheckUtil"],function(){Sonatype.HealthCheckDetailWindow=function(config){var config=config||{};var defaultConfig={layout:"fit",items:[{xtype:"iframepanel",loadMask:{msg:"Loading Health Check Detail..."},autoShow:true,fitToParent:true,defaultSrc:function(){return config.url}}]};Ext.apply(this,config,defaultConfig);Sonatype.HealthCheckDetailWindow.superclass.constructor.call(this,{})};Ext.extend(Sonatype.HealthCheckDetailWindow,Ext.Panel,{});HealthCheckProRepositoryContrib=function(){var me=this;Sonatype.Events.addListener("historyChanged",function(token){if(token){var toks=token.split(Sonatype.view.HISTORY_DELIMITER);if(toks[0]=="healthCheckPro"){if(Sonatype.user.curr.isLoggedIn){if(me.hasHealthCheckDetailReadPerm()){var name=decodeURIComponent(toks[1]);var repoId=decodeURIComponent(toks[2]);var path=decodeURIComponent(toks[3]);var id=me.toTabId(name,repoId,path);var url=Sonatype.HealthCheckUtil.getBase()+"/healthCheckDetail/"+repoId+"/current/"+path;Sonatype.view.mainTabPanel.addOrShowTab(id,Sonatype.HealthCheckDetailWindow,{title:"RHC-"+name,url:url})}}else{Sonatype.view.afterLoginToken=token;Sonatype.repoServer.RepoServer.loginHandler()}return false}}});Sonatype.Events.addListener("healthCheckWindowInit",function(repoContrib,toolbar,record,healthcheckdata){if(healthcheckdata.detailedReportSupported&&me.hasHealthCheckDetailReadPerm()&&Sonatype.user.curr.isLoggedIn){if(Ext.isEmpty(healthcheckdata.healthCheckDetailUrl)){toolbar.push("->","The next analysis will include the detailed report.")}else{toolbar.push("->",{text:"View Detailed Report",handler:function(button){var url=healthcheckdata.healthCheckDetailUrl;var repoId=healthcheckdata.id;var name=record.get("name");var versionBegin=url.indexOf("/"+healthcheckdata.id+"/")+("/"+healthcheckdata.id+"/").length;var versionEnd=url.indexOf("/",versionBegin);var version=url.substring(versionBegin,versionEnd);var path=url.substring(versionEnd+1);var id=me.toTabId(name,repoId,path);Sonatype.view.mainTabPanel.addOrShowTab(id,Sonatype.HealthCheckDetailWindow,{title:"RHC-"+name,url:url});repoContrib.closeHealthCheckWindow()},record:record})}}});me.hasHealthCheckDetailReadPerm=function(){return Sonatype.lib.Permissions.checkPermission("nexus:healthcheckdetail",Sonatype.lib.Permissions.READ)};me.toTabId=function(name,repoId,path){return"healthCheckPro"+Sonatype.view.HISTORY_DELIMITER+encodeURIComponent(name)+Sonatype.view.HISTORY_DELIMITER+encodeURIComponent(repoId)+Sonatype.view.HISTORY_DELIMITER+encodeURIComponent(path)}};Sonatype.HealthCheckProRepositoryContrib=new HealthCheckProRepositoryContrib()});
define("Nexus/healthcheck/HealthCheckProUtil",function(){HealthCheckProUtil=function(){var me=this;me.hasPaidProLicense=function(){var suffix=Sonatype.utils.editionShort.substr(Sonatype.utils.editionShort.lastIndexOf("-")+1);return"EVAL"!=suffix&&"OSS"!=suffix};me.hasNonFreeProLicense=function(){var suffix=Sonatype.utils.editionShort.substr(Sonatype.utils.editionShort.lastIndexOf("-")+1);return"OSS"!=suffix};me.hasAlertReadPerm=function(){return Sonatype.lib.Permissions.checkPermission("nexus:healthcheckalerts",Sonatype.lib.Permissions.READ)&&Sonatype.user.curr.isLoggedIn};me.hasAlertUpdatePerm=function(){return Sonatype.lib.Permissions.checkPermission("nexus:healthcheckalerts",Sonatype.lib.Permissions.EDIT)&&Sonatype.user.curr.isLoggedIn}};Ext.onReady(function(){Sonatype.HealthCheckProUtil=new HealthCheckProUtil()})});
define("Nexus/healthcheck/HealthCheckArtifactDetailsContrib",["Nexus/healthcheck/HealthCheckUtil","Nexus/healthcheck/HealthCheckProUtil","Nexus/clm/ComponentDetailView"],function(){HealthCheckArtifactDetailsContrib=function(){function getInsight(panel){if(panel.items.getCount()===2){return panel.items.itemAt(1).iframe.dom.contentWindow.Insight}}var me=this;me.getLoadingHtml=function(){return'<div style="background:#ececec; width: 100%; height: 100%; padding: 20px;font-size: 14px;font-family: Arial, Helvetica, sans-serif">Loading...</div>'};me.getFileUrl=function(){return Sonatype.HealthCheckUtil.getBase()+"/healthCheckFileDetail/"+Sonatype.utils.base64.encode(me.data.resourceURI)+"/index.html"};me.getGavUrl=function(){return Sonatype.HealthCheckUtil.getBase()+"/healthCheckArtifactDetail/"+me.data.groupId+"/"+me.data.artifactId+"/"+me.data.version+"/index.html"};me.toTabId=function(appId,groupId,artifactId,version,hash){return"compDetail"+Sonatype.view.HISTORY_DELIMITER+encodeURIComponent(appId)+Sonatype.view.HISTORY_DELIMITER+encodeURIComponent(groupId)+Sonatype.view.HISTORY_DELIMITER+encodeURIComponent(artifactId)+Sonatype.view.HISTORY_DELIMITER+encodeURIComponent(version)+Sonatype.view.HISTORY_DELIMITER+(hash?encodeURIComponent(hash):"")};me.registerClmViewDetailsListener=function(panel){getInsight(panel).registerViewDetailsListener(function(appId,groupId,artifactId,version,classifier,extension,hash,matchState,proprietary){Sonatype.view.mainTabPanel.addOrShowTab(me.toTabId(appId,groupId,artifactId,version,hash),Nexus.clm.ComponentDetailView,{title:"CLM Detail",appId:appId,groupId:groupId,artifactId:artifactId,version:version,hash:hash})})};me.getGav=function(){if(me.data&&me.data.groupId){return{groupId:me.data.groupId,artifactId:me.data.artifactId,version:me.data.version}}else{if(me.data&&me.data.resourceURI){var segments=me.data.resourceURI.split("/"),groupId="";for(var i=0;i<segments.length;i++){if(segments[i]==="content"){segments.splice(0,i+1);break}}if(segments.length<4){return null}for(var i=0;i<segments.length-3;i++){groupId+="."+segments[i]}groupId=groupId.substring(1);return{groupId:groupId,artifactId:segments[segments.length-3],version:segments[segments.length-2]}}}};me.setAuthFailureHandler=function(panel){getInsight(panel).setAuthFailureHandler(function(){Sonatype.repoServer.RepoServer.loginHandler()})};me.isClmLoaded=function(panel){return getInsight(panel)};me.setClmGav=function(panel){var gav=me.getGav();if(gav){getInsight(panel).setGav(gav)}else{getInsight(panel).clearGav()}};me.buildLoadingPanel=function(){return new Ext.Panel({width:"100%",height:"100%",border:true,collapsible:false,collapsed:false,html:me.getLoadingHtml()})};me.buildDetailPanel=function(config){var config=config||{};var defaultConfig={width:"100%",height:"100%",border:true,collapsible:false,collapsed:false,layout:"card",items:[me.buildLoadingPanel()]};Ext.applyIf(config,defaultConfig);return new Ext.Panel(config)};me.rebuildIframe=function(panel,url){if(me.isClmLoaded(panel)){me.setClmGav(panel)}else{panel.getLayout().setActiveItem(0);var old=panel.items.get(1);if(old){panel.remove(old);old.destroy()}panel.add({xtype:"iframepanel",border:false,disableMessaging:false,defaultSrc:url,listeners:{domready:function(){panel.getLayout().setActiveItem(1);if(me.isClmLoaded(panel)){me.setClmGav(panel);me.registerClmViewDetailsListener(panel);me.setAuthFailureHandler(panel)}}}});panel.doLayout()}};me.viewDetails=function(){if(me.artifactPanel&&me.data&&me.data.groupId&&me.data.artifactId&&me.data.version){me.rebuildIframe(me.artifactPanel,me.getGavUrl())}else{if(me.filePanel&&me.data&&me.data.resourceURI){me.rebuildIframe(me.filePanel,me.getFileUrl())}}};me.allowView=function(){if(!Sonatype.HealthCheckProUtil.hasAlertReadPerm()||!Sonatype.HealthCheckProUtil.hasPaidProLicense()){return false}return true};me.showListener=function(){me.shown=true;if(!me.dataDisplayed&&me.data){me.dataDisplayed=true;me.viewDetails()}};me.hideListener=function(){me.shown=false};Sonatype.Events.addListener("fileContainerInit",function(items){if(me.allowView()){me.filePanel=me.buildDetailPanel({name:"healthCheckFileDetailPanel",tabTitle:"Component Info",preferredIndex:80,listeners:{show:me.showListener,hide:me.hideListener}});items.push(me.filePanel)}});Sonatype.Events.addListener("fileContainerUpdate",function(artifactContainer,data){if(me.allowView()){me.data=data;me.dataDisplayed=false;if(me.shown){me.dataDisplayed=true;me.viewDetails()}}});Sonatype.Events.addListener("artifactContainerInit",function(items){if(me.allowView()){me.artifactPanel=me.buildDetailPanel({name:"healthCheckArtifactDetailPanel",tabTitle:"Component Info",preferredIndex:80,listeners:{show:me.showListener,hide:me.hideListener}});items.push(me.artifactPanel)}});Sonatype.Events.addListener("artifactContainerUpdate",function(artifactContainer,data){if(me.allowView()){me.data=data;me.dataDisplayed=false;if(me.shown){me.dataDisplayed=true;me.viewDetails()}}});Sonatype.Events.addListener("historyChanged",function(token){if(token){var toks=token.split(Sonatype.view.HISTORY_DELIMITER);if(toks[0]=="compDetail"){if(Sonatype.user.curr.isLoggedIn){if(me.allowView()){var appId=decodeURIComponent(toks[1]);var groupId=decodeURIComponent(toks[2]);var artifactId=decodeURIComponent(toks[3]);var version=decodeURIComponent(toks[4]);var hash=decodeURIComponent(toks[5]);var id=me.toTabId(appId,groupId,artifactId,version,hash);Sonatype.view.mainTabPanel.addOrShowTab(id,Nexus.clm.ComponentDetailView,{title:"CLM Detail",appId:appId,groupId:groupId,artifactId:artifactId,version:version,hash:hash})}}else{Sonatype.view.afterLoginToken=token;Sonatype.repoServer.RepoServer.loginHandler()}return false}}})};Ext.onReady(function(){Sonatype.HealthCheckArtifactDetailsContrib=new HealthCheckArtifactDetailsContrib()})});
define("Nexus/clm",["Nexus/config","Nexus/messages","Nexus/siesta"],function(){Ext.namespace("Nexus.clm");Nexus.clm.ID="nx-clm";Nexus.clm.TITLE="CLM";Nexus.clm.TITLE_DASHBOARD="CLM Dashboard";Nexus.clm.TAB_TITLE="CLM";Nexus.clm.TAB_ID="clm";Nexus.clm.STAGING_KEY="CLMApplicationID";Nexus.clm.STAGING_LABEL="CLM Application";Nexus.clm.showMessage=function(message){Nexus.messages.show(Nexus.clm.TITLE,message)};Nexus.clm.resourcePath=Nexus.siesta.basePath+"/clm";Nexus.clm.componentDetailContentResourcePath=Nexus.siesta.basePath+"/healthcheck/clm/assets/version-graph/rm/nexus";Nexus.clm.ruleTemplate=NX.create("Ext.XTemplate",'<div class="nx-clm-status {messageClass}">{message}</div>','<div class="nx-staging-repository-ActivityView-messagePanel-head">','<tpl if="violationCount &gt; 0">Violations were found in <b>{violationCount}</b> components.</tpl>','<tpl if="violationCount == 0">No violations found.</tpl>',"</div>",'<div class="nx-clm-alerts">','<tpl if="criticalCount &gt; 0">','<div class="nx-clm-alert_box">','<div class="nx-clm-chiclet critical">{criticalCount}</div>','<div class="nx-clm-alert_critical_text">CRITICAL</div>',"</div>","</tpl>",'<tpl if="severeCount &gt; 0">','<div class="nx-clm-alert_box">','<div class="nx-clm-chiclet severe">{severeCount}</div>','<div class="nx-clm-alert_severe_text">SEVERE</div>',"</div>","</tpl>",'<tpl if="moderateCount &gt; 0">','<div class="nx-clm-alert_box">','<div class="nx-clm-chiclet moderate">{moderateCount}</div>','<div class="nx-clm-alert_moderate_text">MODERATE</div>',"</div>","</tpl>",'<a href="{detailedReport}" target="_blank" class="view-report-button">View Full Report</a>',"</div>",'<br style="clear:both;"/>',{compiled:true});Nexus.clm.chickletTemplate=NX.create("Ext.XTemplate",'<tpl if="criticalCount &gt; 0">','<div class="nx-clm-chiclet-small critical">{criticalCount}</div>',"</tpl>",'<tpl if="severeCount &gt; 0">','<div class="nx-clm-chiclet-small severe">{severeCount}</div>',"</tpl>",'<tpl if="moderateCount &gt; 0">','<div class="nx-clm-chiclet-small moderate">{moderateCount}</div>',"</tpl>",'<tpl if="(criticalCount + severeCount + moderateCount) == 0">No violations</tpl>','<tpl if="detailedReport">','<span class="view-report-link-span">','<a href="{detailedReport}" target="_blank" class="view-report-link">View Full Report</a>',"</span>","</tpl>",{compiled:true});Nexus.clm.stagingRule=function(event,detail){if(detail.getPropertyValue("typeId")==="clm"){var message,messageClass;var status=detail.getPropertyValue("x.appScan.status");if(status===undefined){NX.log.error("Unable to determine status for CLM result:"+detail);return undefined}switch(status){case"PASS":message="Validation was successful!";messageClass="nx-clm-status_success";break;case"WARN":message="There are warnings.";messageClass="nx-clm-status_warn";break;case"FAIL":message="Validation failed.";messageClass="nx-clm-status_fail";break;default:Nexus.clm.showMessage("Unrecognized CLM status: "+details.getPropertyValue("x.appScan.status"))}var violationCount=detail.getPropertyValue("x.appScan.violationCount")||0;var criticalCount=detail.getPropertyValue("x.appScan.threatLevelCount.CRITICAL")||0;var severeCount=detail.getPropertyValue("x.appScan.threatLevelCount.SEVERE")||0;var moderateCount=detail.getPropertyValue("x.appScan.threatLevelCount.MODERATE")||0;return NX.create("Ext.XTemplate","{[ this.render() ]}",{compiled:true,render:function(){return Nexus.clm.ruleTemplate.apply({message:message,messageClass:messageClass,detailedReport:detail.getPropertyValue("x.appScan.url"),violationCount:violationCount,criticalCount:criticalCount,severeCount:severeCount,moderateCount:moderateCount})}})}return undefined}});
define("nexus-clm-plugin-boot",["Nexus/clm/SettingsView","Nexus/clm/ComponentDetailView","Nexus/healthcheck/HealthCheckArtifactDetailsContrib","Nexus/healthcheck/HealthCheckProRepositoryContrib"],function(){Nexus.Log.debug("CLM plugin loaded")});
